<?php

namespace loyalsoft;

/**
 * Description of config
 * 尝试用这种写法来定义服务器配置
 * @author gwang email:mail@wanggangzero.cn
 * @copyright © 2015-2-3, SJZ LoyalSoft Corporation & gwang. All rights reserved.
 */
class config_and extends config {

    function _InitTester() {
        $this->testerArr = array(
            "gwang", //  王刚
            "8796-any", //  王倩倩
            "wanggangzero.cn", // 王刚
        );
    }

    function _InitBaneder() {
        $this->banedArr = array(
            "251984775-baidu", // 王刚
        );
    }

    /**
     * 外网paydb
     */
    protected function _InitOuterNetPaydb() {
        $this->paydb->host = '127.0.0.1';
        $this->paydb->port = '3306';
        $this->paydb->name = 'ylsj2019_pay';
        $this->paydb->user = 'root';
        $this->paydb->password = 'wanggang1985';
    }

    /**
     * 外网nosql
     */
    protected function _InitOuterNetNosql() {
        $this->nosql->host = "127.0.0.1";                                       # host/ip
        $this->nosql->port = 6379;                                              # 端口
        $this->nosql->pwd = 'wanggang1985';                                     # 密钥
    }

}

return new config_and();
